# ------------------------------------------------------
#        Name: 
#     Section: L01, L02, L03, or L04
#    Filename: hmwk8.py
#       Peers: 
#  References: 
# ------------------------------------------------------

import turtle
from time import sleep


maxFractalSize = 5          # Num Factral
val_x = -150                # Initial X coordinate
val_y = 0                   # Initial Y coordinate
size = 300                  # Size of Fractal
myDelay = 1                 # Seconds Between Fractals
myColor = ["black", "blue", "red", "green", "purple", "brown", "black"]

def drawFractal(t, order, size, x=0, y=0):
    ## Here is the code for the Koch Curve, replace this code with your function.
    if order == 0:                  # The base case is just a straight line
        t.forward(size) 
    else:
        drawFractal(t, order-1, size/3)    # drawFractal-ify the 1st line
        t.left(60)                  # rotate 60deg to the left
        drawFractal(t, order-1, size/3)    # drawFractal-ify the 2nd line
        t.right(120)                # rotate 120deg to the right
        drawFractal(t, order-1, size/3)    # drawFractal-ify the 3rd line
        t.left(60)                  # rotate 60deg to the left
        drawFractal(t, order-1, size/3)    # drawFractal-ify the 4th line



################ DO NOT CHANGE MAIN! ################      
def main(maxFractalSize, size, x, y, myColor, myDelay):   
    iTurtle = turtle.Turtle()
    window = turtle.Screen()
    for i in range(1, maxFractalSize):
        iTurtle.reset()
        iTurtle.hideturtle()
        iTurtle.color(myColor[i])
        iTurtle.penup()
        iTurtle.setposition(x,y)
        iTurtle.pendown()
        drawFractal(iTurtle, i, size)
        sleep(myDelay)
if __name__ == "__main__":
    main(maxFractalSize + 1, size, val_x, val_y, myColor, myDelay)
################ END OF MAIN ################ 


